Delete an application
Deletes the application with its credentials, installations, and tokens. Access stops immediately, and this cannot be undone.
Parameters #
| Property | Type | Location | Description |
|---|---|---|---|
appId | stringRequired | path | - |
Idempotency-Key | stringRequired | header | - |
If-Match | stringRequired | header | - |
Request #
curl --request DELETE 'https://strave.gg/api/v2/developer/apps/APP_ID' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response #
200Response for status 200400Response for status 400401Response for status 401403Response for status 403404Response for status 404409Response for status 409412Response for status 412428Response for status 428429Response for status 429500Response for status 500503Response for status 503| Property | Type | Description |
|---|---|---|
data | objectRequired | - |
└deleted | booleanRequired | - |
Cost #
Free